#
# "$Id: ghostscript-nocups.spec,v 1.5 2001/05/24 13:05:34 easysw Exp $"
#
#   RPM "spec" file for ESP Ghostscript.
#
#   Copyright 2000-2001 by Easy Software Products.
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#   Please report all bugs and problems to "espgs@easysw.com".
#

Summary: ESP Ghostscript
Name: ghostscript
Version: 5.50.1
Release: 0
Copyright: GPL
Group: Publishing
Source: ftp://ftp.easysw.com/pub/ghostscript/espgs-%{version}-source.tar.gz
Url: http://www.cups.org/ghostscript.html
Packager: Michael Sweet <mike@easysw.com>
Vendor: Easy Software Products
# use buildroot so as not to disturb the version already installed
BuildRoot: /var/tmp/%{name}-root

%description
ESP Ghostscript is an enhanced version of GNU Ghostscript that includes
new printer drivers and support for the Common UNIX Printing System.

%prep
%setup -n espgs-%{version}

%build
./configure --disable-cups

# If we got this far, all prerequisite libraries must be here.
make

%install
# Make sure destination directories are there, since Ghostscript doesn't make them...
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/ghostscript
mkdir -p $RPM_BUILD_ROOT/usr/share/ghostscript/5.50/examples

make prefix=$RPM_BUILD_ROOT/usr CUPS_PREFIX=$RPM_BUILD_ROOT/usr install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)

%dir /usr
%dir /usr/bin
/usr/bin/gs
/usr/bin/pdf2dsc
/usr/bin/ps2ascii
/usr/bin/ps2pdf
/usr/bin/ps2ps
%dir /usr/man
%dir /usr/man/man1
/usr/man/man1/*
%dir /usr/share
%dir /usr/share/doc
/usr/share/doc/*
%dir /usr/share/ghostscript
/usr/share/ghostscript/*

#
# End of "$Id: ghostscript-nocups.spec,v 1.5 2001/05/24 13:05:34 easysw Exp $".
#
